services:
  minio:
    image: minio/minio:RELEASE.2025-02-03T21-03-04Z
    container_name: minio
    ports:
      - "9000:9000"  # API 端口
      - "9001:9001"  # 控制台端口
    volumes:
      - ./data:/data  # 持久化存储数据
      - ./config:/root/.minio  # 配置文件（可选）
    environment:
      MINIO_ROOT_USER: admin      # 管理账号（自行修改）
      MINIO_ROOT_PASSWORD: Admin123.  # 管理密码（自行修改）
    command: server --console-address :9001 /data  # 指定控制台端口和数据目录
    restart: unless-stopped